package io.reactivex.internal.disposables;

import java.util.concurrent.atomic.AtomicReference;
import 㴹.K.㑃.AbstractC2514;

public final class SequentialDisposable extends AtomicReference<AbstractC2514> implements AbstractC2514 {
    public static final long serialVersionUID = -754898800686245608L;

    public SequentialDisposable() {
    }

    @Override // 㴹.K.㑃.AbstractC2514
    public void dispose() {
        DisposableHelper.dispose(this);
    }

    @Override // 㴹.K.㑃.AbstractC2514
    public boolean isDisposed() {
        return DisposableHelper.isDisposed((AbstractC2514) get());
    }

    public boolean replace(AbstractC2514 r1) {
        return DisposableHelper.replace(this, r1);
    }

    public boolean update(AbstractC2514 r1) {
        return DisposableHelper.set(this, r1);
    }

    public SequentialDisposable(AbstractC2514 r1) {
        lazySet(r1);
    }
}
